Exploring, predicting and reporting with SAS Visual Analytics and SAS Visual Statistics

Error when trying to run the sample project for SAS Mobile SDK on Xcode

Reply
Learner
Posts: 1

Error when trying to run the sample project for SAS Mobile SDK on Xcode

When I try to run the sample project on githut for SAS Mobile SDK download from :https://github.com/sassoftware/sas-sdk-for-iOS-examples. Xcode give me error: No such module 'SASKit' in MasterViewController.swift when import SASKit. I am sure I install the SASKit.pkg. How can I fix this?

 

Thank you.

SAS Employee
Posts: 18

Re: Error when trying to run the sample project for SAS Mobile SDK on Xcode

In the readme file (https://github.com/sassoftware/sas-sdk-for-iOS-examples/blob/master/README.md)  There is a note that says the following:

 

"NOTE: Because Swift does not yet have ABI compatibility, we are required to package the swift runtime with the built framework. This means that consumers of the framework must compile apps that use the framework with the same swift version as was used for compiling the framework. For release 8.22, the framework was built with Xcode 9.2 (9C40b)."

Ask a Question
Discussion stats
  • 1 reply
  • 153 views
  • 0 likes
  • 2 in conversation